# Fusion Tables API . query

## Instance Methods

Executes an SQL SELECT/INSERT/UPDATE/DELETE/SHOW/DESCRIBE/CREATE statement.

Executes an SQL SELECT/SHOW/DESCRIBE statement.

### Method Details

`sql(sql, hdrs=None, typed=None)`

    Executes an SQL SELECT/INSERT/UPDATE/DELETE/SHOW/DESCRIBE/CREATE statement.

    Args:
      sql: string, An SQL SELECT/SHOW/DESCRIBE/INSERT/UPDATE/DELETE/CREATE statement. (required)
      hdrs: boolean, Should column names be included (in the first row)?. Default is true.
      typed: boolean, Should typed values be returned in the (JSON) response -- numbers for numeric values and parsed geometries for KML values? Default is true.

    Returns:
      An object of the form:

        { # Represents a response to an sql statement.
        "kind": "fusiontables#sqlresponse", # Type name: a template for an individual table.
        "rows": [ # The rows in the table. For each cell we print out whatever cell value (e.g., numeric, string) exists. Thus it is important that each cell contains only one value.
          [
            "",
          ],
        ],
        "columns": [ # Columns in the table.
          "A String",
        ],
      }

`sqlGet(sql, hdrs=None, typed=None)`

    Executes an SQL SELECT/SHOW/DESCRIBE statement.

    Args:
      sql: string, An SQL SELECT/SHOW/DESCRIBE statement. (required)
      hdrs: boolean, Should column names be included (in the first row)?. Default is true.
      typed: boolean, Should typed values be returned in the (JSON) response -- numbers for numeric values and parsed geometries for KML values? Default is true.

    Returns:
      An object of the form:

        { # Represents a response to an sql statement.
        "kind": "fusiontables#sqlresponse", # Type name: a template for an individual table.
        "rows": [ # The rows in the table. For each cell we print out whatever cell value (e.g., numeric, string) exists. Thus it is important that each cell contains only one value.
          [
            "",
          ],
        ],
        "columns": [ # Columns in the table.
          "A String",
        ],
      }